---
updatedAt: 2026-01-19T14:53:50.000Z
agentTools:
  projectIndex: https://docs.talkdesk.com/llms.txt
---

# Agent Permissions Management

# Agent Permissions Management

Manage agent access levels by retrieving permitted applications or updating the list of applications an agent is authorized to use.

***

## Get Agent Applications

`GET /Advanced Dialer/api/agent/{userId}/permissions/applications`

Returns a list of applications that the specified agent is permitted to access.

### Path Parameters

| Parameter | Type    | Description                         |
| :-------- | :------ | :---------------------------------- |
| `userId`  | integer | The unique identifier of the agent. |

### Example Request

[block:code]
{
  "codes": [
    {
      "code": "curl --request GET \\\n     --url 'https://api.talkdeskapp.com/Advanced Dialer/api/agent/1001/permissions/applications' \\\n     --header 'Ocp-Apim-Subscription-Key: YOUR_API_KEY' \\\n     --header 'X-Api-Version: 2.0'",
      "language": "curl"
    }
  ]
}
[/block]

### Response Example

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"statusCode\": 0,\n  \"message\": null,\n  \"payload\": [\n    {\n      \"id\": 1,\n      \"name\": \"Synthesys CRM\"\n    },\n    {\n      \"id\": 2,\n      \"name\": \"Campaign Manager\"\n    },\n    {\n      \"id\": 3,\n      \"name\": \"Reporting Suite\"\n    }\n  ]\n}",
      "language": "json"
    }
  ]
}
[/block]

***

## Update Agent Applications

`PUT /Advanced Dialer/api/agent/{userId}/permissions/applications`

Sets the application permissions for an agent. Note that this typically replaces the existing permission set with the one provided in the request body.

### Path Parameters

| Parameter | Type    | Description                         |
| :-------- | :------ | :---------------------------------- |
| `userId`  | integer | The unique identifier of the agent. |

### Request Body (Array)

| Field  | Type    | Description                       |
| :----- | :------ | :-------------------------------- |
| `id`   | integer | The unique ID of the application. |
| `name` | string  | The name of the application.      |

### Example Request

[block:code]
{
  "codes": [
    {
      "code": "curl --request PUT \\\n     --url 'https://api.talkdeskapp.com/Advanced Dialer/api/agent/1001/permissions/applications' \\\n     --header 'Content-Type: application/json' \\\n     --header 'Ocp-Apim-Subscription-Key: YOUR_API_KEY' \\\n     --header 'X-Api-Version: 2.0' \\\n     --data '[\n  {\n    \"id\": 1,\n    \"name\": \"Synthesys CRM\"\n  },\n  {\n    \"id\": 4,\n    \"name\": \"Quality Management\"\n  }\n]'",
      "language": "curl"
    }
  ]
}
[/block]